import request from '@/utils/request'

// 查询在线/离线日志列表
export function listOnlineLog(query) {
  return request({
    url: '/system/onlineLog/list',
    method: 'get',
    params: query
  })
}

// 查询在线/离线日志详细
export function getOnlineLog(id) {
  return request({
    url: '/system/onlineLog/' + id,
    method: 'get'
  })
}

// 新增在线/离线日志
export function addOnlineLog(data) {
  return request({
    url: '/system/onlineLog',
    method: 'post',
    data: data
  })
}

// 修改在线/离线日志
export function updateOnlineLog(data) {
  return request({
    url: '/system/onlineLog',
    method: 'put',
    data: data
  })
}

// 删除在线/离线日志
export function delOnlineLog(id) {
  return request({
    url: '/system/onlineLog/' + id,
    method: 'delete'
  })
}
